summaryrefslogtreecommitdiffstats
path: root/games/pysolfc-extra-cardsets/pysolfc-extra-cardsets.SlackBuild
diff options
context:
space:
mode:
author B. Watson2018-10-17 19:02:35 +0200
committer Willy Sudiarto Raharjo2018-10-17 19:02:35 +0200
commitc0ba35b6c1163534cdf29d857e9505548f70e835 (patch)
tree3cf85a7b71ba7ebfc160cd5cc0c6cb9365bdd3c3 /games/pysolfc-extra-cardsets/pysolfc-extra-cardsets.SlackBuild
parentd324801606adc6a66b51ce209fe90f6a7ff4a9fd (diff)
downloadslackbuilds-c0ba35b6c1163534cdf29d857e9505548f70e835.tar.gz
games/pysolfc-extra-cardsets: Added (extra cards for pysolfc).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/pysolfc-extra-cardsets/pysolfc-extra-cardsets.SlackBuild')
-rw-r--r--games/pysolfc-extra-cardsets/pysolfc-extra-cardsets.SlackBuild60
1 files changed, 60 insertions, 0 deletions
diff --git a/games/pysolfc-extra-cardsets/pysolfc-extra-cardsets.SlackBuild b/games/pysolfc-extra-cardsets/pysolfc-extra-cardsets.SlackBuild
new file mode 100644
index 0000000000..b9f7464d25
--- /dev/null
+++ b/games/pysolfc-extra-cardsets/pysolfc-extra-cardsets.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for pysolfc-extra-cardsets
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=pysolfc-extra-cardsets
+SRCNAM=PySolFC-Cardsets
+VERSION=${VERSION:-2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/share/PySolFC $OUTPUT
+cd $PKG/usr/share/PySolFC
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2 --strip-components=1
+tar xvf $CWD/pysolfc-cardsets-bknoll.tar.xz --strip-components=1
+
+# Don't include cardsets that are already in the main pysolfc package.
+rm -rf \
+ cardset-2000 \
+ cardset-crystal-mahjongg \
+ cardset-dashavatara-ganjifa \
+ cardset-dondorf \
+ cardset-gnome-mahjongg-1 \
+ cardset-hanafuda-200-years \
+ cardset-hexadeck \
+ cardset-matrix \
+ cardset-mughal-ganjifa \
+ cardset-oxymoron \
+ cardset-standard \
+ cardset-tuxedo \
+ cardset-vienna-2k
+
+chown -R root:root .
+
+# No executables, all files should be 644 here.
+find -L . -type d -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ -type f -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# No docs, include our own README.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}